package com.fzm.mall.server.front.asset.model.po.to;

import com.fzm.mall.server.front.asset.model.po.co.CoinOutCO;
import com.fzm.mall.server.front.asset.model.vo.coin.CoinOutVO;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @author tdz
 * @date 2021/03/02 14:51
 */
@Getter
@Setter
@ToString
public class CoinOutTO extends CoinOutCO {
    private Integer number;
    private String txId;

    public CoinOutTO() {
    }

    public CoinOutTO(CoinOutVO coinOutVO) {
        super(coinOutVO);
        this.number = 1;
        this.txId = coinOutVO.getTxId();
    }
}
